<?php
//
//  Nagios Core Config Manager
//  Copyright (c) 2010-2014 Nagios Enterpries, LLC
//
//  File: check_settings.php
//  Desc: Creates the HTML for the "Check Settings" tab in object management pages. Used in the
//        form class to output the area where everything is defined.
//
?>
    <div id="tab2">
        <h3><?php echo gettext("Check Settings"); ?></h3> 
        <div class="leftBox">
            <div class="ccm-row oneline spacer">
                <label><?php echo gettext("Initial state"); ?></label> 
                <?php
                // Host or Host Template only
                if ($this->exactType == 'host' || $this->exactType == 'hosttemplate') {
                ?>
                <label><input name="radIS" type="radio" class="radio" id="radISd" value="d" <?php check('initial_state', 'd'); ?>> d</label>
                <?php } else { // Services ?>
                <label><input name="radIS" type="radio" class="radio" id="radISw" value="w" <?php check('initial_state', 'w'); ?>> w</label>
                <label><input name="radIS" type="radio" class="radio" id="radISc" value="c" <?php check('initial_state', 'c'); ?>> c</label> 
                <?php } // Everything else below ?>
                <label><input name="radIS" type="radio" class="radio" id="radISo" value="o" <?php check('initial_state', 'o'); ?>> o</label> 
                <label><input name="radIS" type="radio" class="radio" id="radISu" value="u" <?php check('initial_state', 'u'); ?>> u</label>
            </div>
            <div class="ccm-row oneline">
                <label for="tfCheckInterval"><?php echo gettext("Check interval"); ?> </label>
                <input name="tfCheckInterval" size="4" type="text" id="tfCheckInterval" value="<?php val($FIELDS['check_interval']); ?>"> <?php echo gettext("min"); ?>
            </div>
            <div class="ccm-row oneline">
                <label for="tfRetryInterval"> <?php echo gettext("Retry interval"); ?> </label>
                <input name="tfRetryInterval" size="4" type="text" id="tfRetryInterval" value="<?php val($FIELDS['retry_interval']); ?>"> <?php echo gettext("min"); ?>
            </div>
            <div class="ccm-row oneline spacer">
                <label for="tfMaxCheckAttempts"><?php echo gettext("Max check attempts"); ?> </label>
                <input name="tfMaxCheckAttempts" size="4" type="text" id="tfMaxCheckAttempts" value="<?php @val($FIELDS['max_check_attempts']); ?>">
            </div>
            <div class="ccm-row oneline">
                <label><?php echo gettext("Active checks enabled"); ?></label>
                <label><input name="radActiveChecksEnabled" type="radio" class="checkbox" id="radActiveChecksEnabled0" value="1" <?php @check('active_checks_enabled', '1'); ?>> <?php echo gettext("on"); ?></label>
                <label><input name="radActiveChecksEnabled" type="radio" class="checkbox" id="radActiveChecksEnabled1" value="0" <?php @check('active_checks_enabled', '0'); ?>> <?php echo gettext("off"); ?></label>
                <label><input name="radActiveChecksEnabled" type="radio" class="checkbox" id="radActiveChecksEnabled2" value="2" <?php @check('active_checks_enabled', '2'); ?>> <?php echo gettext("skip"); ?></label>
                <label><input name="radActiveChecksEnabled" type="radio" class="checkbox" id="radActiveChecksEnabled3" value="3" <?php @check('active_checks_enabled', '3'); ?>> <?php echo gettext("null"); ?></label>
            </div>
            <div class="ccm-row oneline spacer">
                <label><?php echo gettext("Passive checks enabled"); ?></label>
                <label><input name="radPassiveChecksEnabled" type="radio" class="checkbox" id="radPassiveChecksEnabled0" value="1" <?php @check('passive_checks_enabled', '1'); ?>> <?php echo gettext("on"); ?></label>
                <label><input name="radPassiveChecksEnabled" type="radio" class="checkbox" id="radPassiveChecksEnabled1" value="0" <?php @check('passive_checks_enabled', '0'); ?>> <?php echo gettext("off"); ?></label>
                <label><input name="radPassiveChecksEnabled" type="radio" class="checkbox" id="radPassiveChecksEnabled2" value="2" <?php @check('passive_checks_enabled', '2'); ?>> <?php echo gettext("skip"); ?></label>
                <label><input name="radPassiveChecksEnabled" type="radio" class="checkbox" id="radPassiveChecksEnabled3" value="3" <?php @check('passive_checks_enabled', '3'); ?>> <?php echo gettext("null"); ?></label>
            </div>
            <div class="ccm-row spacer">
                <label for="selCheckPeriod"><?php echo gettext("Check period"); ?> <span class="req">*</span></label>
                <select name="selCheckPeriod" id="selCheckPeriod" style="width:205px;">
                    <?php
                    // Insert Time Periods
                    $selected = '';
                    if (isset($FIELDS['check_period']) && $FIELDS['check_period'] == '0') { $selected = ' selected="selected"'; }
                    echo '<option value="0"'.$selected.'>&nbsp;</option>';
                    foreach ($FIELDS['selTimeperiods'] as $opt) {
                        $selected = '';
                        if (isset($FIELDS['check_period']) && $FIELDS['check_period'] == $opt['id']) { $selected = ' selected="selected"'; }
                        echo '<option value="'.$opt['id'].'"'.$selected.'>'.$opt['timeperiod_name'].'</option>';
                    }
                    ?>
                </select>
            </div>
            <div class="ccm-row oneline">
                <label for="tfFreshThreshold"><?php echo gettext("Freshness threshold"); ?> </label>
                <input name="tfFreshThreshold" size="4" type="text" id="tfFreshThreshold" value="<?php @val($FIELDS['freshness_threshold']); ?>"> sec
            </div>
            <div class="ccm-row oneline">
                <label><?php echo gettext("Check freshness"); ?></label>
                <label><input name="radFreshness" type="radio" class="checkbox" id="radFreshness1" value="1" <?php @check('check_freshness', '1'); ?>> <?php echo gettext("on"); ?></label>
                <label><input name="radFreshness" type="radio" class="checkbox" id="radFreshness0" value="0" <?php @check('check_freshness', '0'); ?>> <?php echo gettext("off"); ?></label>
                <label><input name="radFreshness" type="radio" class="checkbox" id="radFreshness2" value="2" <?php @check('check_freshness', '2'); ?>> <?php echo gettext("skip"); ?></label>
                <label><input name="radFreshness" type="radio" class="checkbox" id="radFreshness3" value="3" <?php @check('check_freshness', '3'); ?>> <?php echo gettext("null"); ?></label>
            </div>
        </div>
        <div class="rightBox">
            <div class="ccm-row oneline spacer">
                <?php
                // Host or Host Template only
                if ($this->exactType == 'host' || $this->exactType == 'hosttemplate') {
                ?>
                <label for="radObsess1"><?php echo gettext("Obsess over host"); ?></label>
                <label><input name="radObsess" type="radio" class="checkbox" id="radObsess1" value="1" <?php @check('obsess_over_host', '1'); ?>> <?php echo gettext("on"); ?></label>
                <label><input name="radObsess" type="radio" class="checkbox" id="radObsess0" value="0" <?php @check('obsess_over_host', '0'); ?>> <?php echo gettext("off"); ?></label>
                <label><input name="radObsess" type="radio" class="checkbox" id="radObsess2" value="2" <?php @check('obsess_over_host', '2'); ?>> <?php echo gettext("skip"); ?></label>
                <label><input name="radObsess" type="radio" class="checkbox" id="radObsess3" value="3" <?php @check('obsess_over_host', '3'); ?>>
                <?php } else { // Services only ?>
                <label for="radObsess1"><?php echo gettext("Obsess over service"); ?></label>
                <label><input name="radObsess" type="radio" class="checkbox" id="radObsess1" value="1" <?php @check('obsess_over_service', '1'); ?>> <?php echo gettext("on"); ?></label>
                <label><input name="radObsess" type="radio" class="checkbox" id="radObsess0" value="0" <?php @check('obsess_over_service', '0'); ?>> <?php echo gettext("off"); ?></label>
                <label><input name="radObsess" type="radio" class="checkbox" id="radObsess2" value="2" <?php @check('obsess_over_service', '2'); ?>> <?php echo gettext("skip"); ?></label>
                <label><input name="radObsess" type="radio" class="checkbox" id="radObsess3" value="3" <?php @check('obsess_over_service', '3'); ?>>
                <?php } ?>
                <?php echo gettext("null"); ?></label>
            </div>
            <div class="ccm-row">
                <label for="selEventHandler"><?php echo gettext("Event handler"); ?></label>
                <select name="selEventHandler" id="selEventHandler">
                <?php
                // Display Group options
                $selected = '';
                if (isset($FIELDS['event_handler']) && $FIELDS['event_handler'] == '0') { $selected = ' selected="selected"'; }
                echo '<option value="0"'.$selected.'>&nbsp;</option>';
                foreach ($FIELDS['selEventHandlers'] as $opt) {
                    $selected = '';
                    if (isset($FIELDS['event_handler']) && $FIELDS['event_handler'] == $opt['id']) { $selected = ' selected="selected"'; }
                    echo '<option value="'.$opt['id'].'"'.$selected.'>'.$opt['command_name'].'</option>';    
                }
                ?>
                </select>
            </div>
            <div class="ccm-row oneline spacer">
                <label for="radEventEnable1"><?php echo gettext("Event handler enabled"); ?></label>           
                <label><input name="radEventEnable" type="radio" class="checkbox" id="radEventEnable1" value="1" <?php @check('event_handler_enabled', '1'); ?>> <?php echo gettext("on"); ?></label> 
                <label><input name="radEventEnable" type="radio" class="checkbox" id="radEventEnable0" value="0" <?php @check('event_handler_enabled', '0'); ?>> <?php echo gettext("off"); ?></label> 
                <label><input name="radEventEnable" type="radio" class="checkbox" id="radEventEnable2" value="2" <?php @check('event_handler_enabled', '2'); ?>> <?php echo gettext("skip"); ?></label> 
                <label><input name="radEventEnable" type="radio" class="checkbox" id="radEventEnable3" value="3" <?php @check('event_handler_enabled', '3'); ?>> <?php echo gettext("null"); ?></label>
            </div>
            <div class="ccm-row oneline">
                <label for="tfLowFlat"><?php echo gettext("Low flap threshold"); ?></label>
                <input name="tfLowFlat" type="text" size='3' id="tfLowFlat" value="<?php @val($FIELDS['low_flap_threshold']); ?>"> %
            </div>
            <div class="ccm-row oneline">
                <label for="tfHighFlat"><?php echo gettext("High flap threshold"); ?></label>
                <input name="tfHighFlat" type="text" size='3' id="tfHighFlat" value="<?php @val($FIELDS['high_flap_threshold']); ?>"> %
            </div>
            <div class="ccm-row oneline">
                <label for="radFlapEnable1"><?php echo gettext("Flap detection enabled"); ?></label>
                <label><input name="radFlapEnable" type="radio" class="checkbox" id="radFlapEnable1" value="1" <?php @check('flap_detection_enabled', '1'); ?>> <?php echo gettext("on"); ?></label>
                <label><input name="radFlapEnable" type="radio" class="checkbox" id="radFlapEnable0" value="0" <?php @check('flap_detection_enabled', '0'); ?>> <?php echo gettext("off"); ?></label>
                <label><input name="radFlapEnable" type="radio" class="checkbox" id="radFlapEnable2" value="2" <?php @check('flap_detection_enabled', '2'); ?>> <?php echo gettext("skip"); ?></label>
                <label><input name="radFlapEnable" type="radio" class="checkbox" id="radFlapEnable3" value="3" <?php @check('flap_detection_enabled', '3'); ?>> <?php echo gettext("null"); ?></label>
            </div>
            <div class="ccm-row oneline spacer">
                <label for="chbFLo"><?php echo gettext("Flap detection options"); ?></label>
                <?php
                // Host and Host Templates only
                if ($this->exactType == 'host' || $this->exactType == 'hosttemplate') {
                ?>
                <label><input name="chbFLd" type="checkbox" class="checkbox" id="chbFLd" value="d" <?php @check('flap_detection_options', 'd'); ?>> d</label>
                <?php } else { ?>
                <label><input name="chbFLc" type="checkbox" class="checkbox" id="chbFLc" value="c" <?php @check('flap_detection_options', 'c'); ?>> c</label>
                <label><input name="chbFLw" type="checkbox" class="checkbox" id="chbFLw" value="w" <?php @check('flap_detection_options', 'w'); ?>> w</label>
                <?php } ?>
                <label><input name="chbFLo" type="checkbox" class="checkbox" id="chbFLo" value="o" <?php @check('flap_detection_options', 'o'); ?>> o</label>
                <label><input name="chbFLu" type="checkbox" class="checkbox" id="chbFLu" value="u" <?php @check('flap_detection_options', 'u'); ?>> u</label>
            </div>
            <div class="ccm-row">
                <label for="radStatusInfos1"><?php echo gettext("Retain status information"); ?></label>
                <div>
                    <label><input name="radStatusInfos" type="radio" class="checkbox" id="radStatusInfos1" value="1" <?php @check('retain_status_information', '1'); ?>> on</label>
                    <label><input name="radStatusInfos" type="radio" class="checkbox" id="radStatusInfos0" value="0" <?php @check('retain_status_information', '0'); ?>> off</label>
                    <label><input name="radStatusInfos" type="radio" class="checkbox" id="radStatusInfos2" value="2" <?php @check('retain_status_information', '2'); ?>> skip</label>
                    <label><input name="radStatusInfos" type="radio" class="checkbox" id="radStatusInfos3" value="3" <?php @check('retain_status_information', '3'); ?>> null</label>
                </div>
            </div>
            <div class="ccm-row">
                <label for="radNoStatusInfos1"><?php echo gettext("Retain non-status information"); ?></label>
                <div>
                    <label><input name="radNoStatusInfos" type="radio" class="checkbox" id="radNoStatusInfos1" value="1" <?php @check('retain_nonstatus_information', '1'); ?>> <?php echo gettext("on"); ?></label>
                    <label><input name="radNoStatusInfos" type="radio" class="checkbox" id="radNoStatusInfos0" value="0" <?php @check('retain_nonstatus_information', '0'); ?>> <?php echo gettext("off"); ?></label>
                    <label><input name="radNoStatusInfos" type="radio" class="checkbox" id="radNoStatusInfos2" value="2" <?php @check('retain_nonstatus_information', '2'); ?>> <?php echo gettext("skip"); ?></label>
                    <label><input name="radNoStatusInfos" type="radio" class="checkbox" id="radNoStatusInfos3" value="3" <?php @check('retain_nonstatus_information', '3'); ?>> <?php echo gettext("null"); ?></label>
                </div>
            </div>
            <div class="ccm-row">
                <label><?php echo gettext("Process perf data"); ?></label>
                <div>
                    <label><input name="radPerfData" type="radio" class="checkbox" id="radPerfData1" value="1" <?php @check('process_perf_data', '1'); ?>> <?php echo gettext("on"); ?></label> 
                    <label><input name="radPerfData" type="radio" class="checkbox" id="radPerfData0" value="0" <?php @check('process_perf_data', '0'); ?>> <?php echo gettext("off"); ?></label>
                    <label><input name="radPerfData" type="radio" class="checkbox" id="radPerfData2" value="2" <?php @check('process_perf_data', '2'); ?>> <?php echo gettext("skip"); ?></label>
                    <label><input name="radPerfData" type="radio" class="checkbox" id="radPerfData3" value="3" <?php @check('process_perf_data', '3'); ?>> <?php echo gettext("null"); ?></label>
                </div>
            </div>
            <?php
            // Service and Service Templates only
            if ($this->exactType == 'service' || $this->exactType == 'servicetemplate') {
            ?>
            <div class="ccm-row">
                <label><?php echo gettext("Is Volatile"); ?></label>
                <label><input type="radio" value="1" id="radIsVolatile1" class="checkbox" name="radIsVolatile" <?php @check('is_volatile', '1'); ?>> <?php echo gettext("on"); ?></label>
                <label><input type="radio" value="0" id="radIsVolatile0" class="checkbox" name="radIsVolatile" <?php @check('is_volatile', '0'); ?>> <?php echo gettext("off"); ?></label>
                <label><input type="radio" value="2" id="radIsVolatile2" class="checkbox" name="radIsVolatile" <?php @check('is_volatile', '2'); ?>> <?php echo gettext("skip"); ?></label>
                <label><input type="radio" value="3" id="radIsVolatile3" class="checkbox" name="radIsVolatile" <?php @check('is_volatile', '3'); ?>> <?php echo gettext("null"); ?></label>
            </div>
            <?php
            }
            ?>
        </div>
    </div>
    <!-- End of Tab 2 -->