<?php
//
//  Nagios Core Config Manager
//  Copyright (c) 2010-2014 Nagios Enterpries, LLC
//
//  File: contact_template.php
//  Desc: Template of HTML for the layout of contact definition management.
//

$name = ($this->exactType=='contact') ? 'contact_name' : 'template_name'; 
?>
<div id="visibleDivs">
    <div id="tab1">
        <h3><?php echo gettext("Common Settings"); ?></h3>
        <div class="leftBox">
            <div class="ccm-row">
                <label for="tfName"><?php echo get_page_title($this->exactType); ?> <?php echo gettext("Name"); ?> <span class="req">*</span></label>
                <input name="tfName" type="text" id="tfName" value="<?php @val($FIELDS[$name]) ?>" class="required tf_wide">
            </div>
            <div class="ccm-row">
                <label for="tfFriendly"><?php echo gettext("Description"); ?></label>
                <input name="tfFriendly" class='tf_wide' type="text" id="tfFriendly" value="<?php @val($FIELDS['alias']) ?>">
            </div>
            <div class="ccm-row">
                <label for="tfEmail"><?php echo gettext("Email Address"); ?></label>
                <input type="text" value="<?php @val($FIELDS['email']) ?>" class='tf_wide' id="tfEmail" name="tfEmail">
            </div>
            <div class="ccm-row">
                <label for="tfPager"><?php echo gettext("Pager Number"); ?></label>
                <input type="text" value="<?php @val($FIELDS['pager']) ?>" class='tf_wide' id="tfPager" name="tfPager">
            </div>
            <p><a class='linkBox' href="javascript:overlay('contactgroupBox')" title="Manage Contact Groups"><?php echo gettext("Manage Contact Groups"); ?></a></p>
            <p><a class='linkBox' href="javascript:overlay('contacttemplateBox')" title="Manage Contact Templates"><?php echo gettext("Manage Contact Templates"); ?></a></p>
            <?php 
            // Check if the active button should be checked
            $active_checked = '';
            if ((isset($FIELDS['active']) && $FIELDS['active'] == '1') || !isset($FIELDS['active'])) {
                $active_checked = 'checked="checked"';
            }
            ?>
            <div class="ccm-row oneline">
                <label for="chbActive"><?php echo gettext("Active"); ?></label>
                <input name="Active" type="checkbox" class="checkbox" id="Active" value="1" <?php echo $active_checked; ?>>
                <i class="fa fa-info-circle tooltip-info" title="<?php echo gettext("Only active objects will be written to the config files and appear in Nagios. Inactive objects will only be shown in the CCM."); ?>"></i>
            </div>
        </div>
        <div class="rightBox">      
            <div class="ccm-row">
                <label for="tfAddress1"><?php echo gettext("Addon Address 1"); ?></label>
                <input type="text" value="<?php @val($FIELDS['address1']) ?>" id="tfAddress1" name="tfAddress1" class='tf_wide'>
            </div>
            <div class="ccm-row">
                <label for="tfAddress2"><?php echo gettext("Addon Address 2"); ?></label>
                <input type="text" value="<?php @val($FIELDS['address2']) ?>" id="tfAddress2" name="tfAddress2" class='tf_wide'>
            </div>
            <div class="ccm-row">
                <label for="tfAddress3"><?php echo gettext("Addon Address 3"); ?></label>
                <input type="text" value="<?php @val($FIELDS['address3']) ?>" id="tfAddress3" name="tfAddress3" class='tf_wide'>
            </div>
            <div class="ccm-row">
                <label for="tfAddress4"><?php echo gettext("Addon Address 4"); ?></label>
                <input type="text" value="<?php @val($FIELDS['address4']) ?>" id="tfAddress4" name="tfAddress4" class='tf_wide'>
            </div>
            <div class="ccm-row">
                <label for="tfAddress5"><?php echo gettext("Addon Address 5"); ?></label>
                <input type="text" value="<?php @val($FIELDS['address5']) ?>" id="tfAddress5" name="tfAddress5" class='tf_wide'>
            </div>
            <div class="ccm-row">
                <label for="tfAddress6"><?php echo gettext("Addon Address 6"); ?></label>
                <input type="text" value="<?php @val($FIELDS['address6']) ?>" id="tfAddress6" name="tfAddress6" class='tf_wide'>
            </div>
        </div>
    </div>
    <!-- End of Tab 1 -->

    <div id="tab2">
        <h3><?php echo gettext("Alert Settings"); ?></h3>
        <div class="leftBox">   
            <div class="ccm-row">
                <label><?php echo gettext("Host Notifications Enabled"); ?></label>
                <div>
                    <label><input name="radHostNotifEnabled" type="radio" class="checkbox" id="radHostNotifEnabled1" value="1" <?php @check('host_notifications_enabled', '1'); ?>> <?php echo gettext("on"); ?></label> 
                    <label><input name="radHostNotifEnabled" type="radio" class="checkbox" id="radHostNotifEnabled0" value="0" <?php @check('host_notifications_enabled', '0'); ?>> <?php echo gettext("off"); ?></label>
                    <label><input name="radHostNotifEnabled" type="radio" class="checkbox" id="radHostNotifEnabled2" value="2" <?php @check('host_notifications_enabled', '2'); ?>> <?php echo gettext("skip"); ?></label>
                    <label><input name="radHostNotifEnabled" type="radio" class="checkbox" id="radHostNotifEnabled3" value="3" <?php @check('host_notifications_enabled', '3'); ?>> <?php echo gettext("null"); ?></label>
                </div>
            </div>
            <div class="ccm-row">
                <label for="selHostPeriod"><?php echo gettext("Host Notifications Timeperiod"); ?></label>
                <select id="selHostPeriod" name="selHostPeriod">
                <?php
                // Insert Time Period options
                $selected = '';
                if (isset($FIELDS['host_notification_period']) && $FIELDS['host_notification_period'] == '0') { $selected = ' selected="selected"'; }
                echo '<option value="0"'.$selected.'>&nbsp;</option>'; 
                foreach ($FIELDS['selTimeperiods'] as $opt) {
                    $selected = '';
                    if (isset($FIELDS['host_notification_period']) && $FIELDS['host_notification_period'] == $opt['id']) { $selected = ' selected="selected"'; }
                    echo '<option value="'.$opt['id'].'"'.$selected.'>'.$opt['timeperiod_name'].'</option>';
                }                   
                ?>
                </select>
            </div>
            <div class="ccm-row spacer">
                <label for=""><?php echo gettext("Host Notification options"); ?></label>
                <div>      
                    <label><input name="chbHOd" type="checkbox" class="checkbox" id="chbHOd3" value="d" <?php @check('host_notification_options', 'd'); ?>> d</label>
                    <label><input name="chbHOu" type="checkbox" class=" checkbox" id="chbHOu3" value="u" <?php @check('host_notification_options', 'u'); ?>> u</label>
                    <label><input name="chbHOr" type="checkbox" class=" checkbox" id="chbHOr3" value="r" <?php @check('host_notification_options', 'r'); ?>> r</label>
                    <label><input name="chbHOf" type="checkbox" class=" checkbox" id="chbHOf3" value="f" <?php @check('host_notification_options', 'f'); ?>> f</label>
                    <label><input name="chbHOs" type="checkbox" class=" checkbox" id="chbHOs3" value="s" <?php @check('host_notification_options', 's'); ?>> s</label>
                    <label><input name="chbHOn" type="checkbox" class=" checkbox" id="chbHOn3" value="n" <?php @check('host_notification_options', 'n'); ?>> n</label>
                </div>
            </div> 
            <p style="margin-bottom: 20px;"><a class='linkBox' href="javascript:overlay('hostcommandBox')" title="Manage Host Commands"><?php echo gettext("Manage Host Notification Commands"); ?></a></p>
            <div class="ccm-row">
                <label for=""><?php echo gettext("Retain status information"); ?></label>
                <div>        
                    <label><input name="radStatusInfos" type="radio" class="checkbox" id="radStatusInfos1" value="1" <?php @check('retain_status_information', '1'); ?>> <?php echo gettext("on"); ?></label> 
                    <label><input name="radStatusInfos" type="radio" class="checkbox" id="radStatusInfos0" value="0" <?php @check('retain_status_information', '0'); ?>> <?php echo gettext("off"); ?></label> 
                    <label><input name="radStatusInfos" type="radio" class="checkbox" id="radStatusInfos2" value="2" <?php @check('retain_status_information', '2'); ?>> <?php echo gettext("skip"); ?></label> 
                    <label><input name="radStatusInfos" type="radio" class="checkbox" id="radStatusInfos3" value="3" <?php @check('retain_status_information', '3'); ?>> <?php echo gettext("null"); ?></label> 
                </div>
            </div>
            <div class="ccm-row">
                <label for=""><?php echo gettext("Retain non-status information"); ?></label>
                <div>
                    <label><input name="radNoStatusInfos" type="radio" class="checkbox" id="radNoStatusInfos1" value="1" <?php @check('retain_nonstatus_information', '1'); ?>> <?php echo gettext("on"); ?></label> 
                    <label><input name="radNoStatusInfos" type="radio" class="checkbox" id="radNoStatusInfos0" value="0" <?php @check('retain_nonstatus_information', '0'); ?>> <?php echo gettext("off"); ?></label>
                    <label><input name="radNoStatusInfos" type="radio" class="checkbox" id="radNoStatusInfos2" value="2" <?php @check('retain_nonstatus_information', '2'); ?>> <?php echo gettext("skip"); ?></label>
                    <label><input name="radNoStatusInfos" type="radio" class="checkbox" id="radNoStatusInfos3" value="3" <?php @check('retain_nonstatus_information', '3'); ?>> <?php echo gettext("null"); ?></label>
                </div>
            </div>
        </div>
        <div class="rightBox">
            <div class="ccm-row">
                <label for=""><?php echo gettext("Service Notifications Enabled"); ?></label>
                <div>
                    <label><input name="radServiceNotifEnabled" type="radio" class="checkbox" id="radServiceNotifEnabled1" value="1" <?php @check('service_notifications_enabled', '1'); ?>> <?php echo gettext("on"); ?></label> 
                    <label><input name="radServiceNotifEnabled" type="radio" class="checkbox" id="radServiceNotifEnabled0" value="0" <?php @check('service_notifications_enabled', '0'); ?>> <?php echo gettext("off"); ?></label>
                    <label><input name="radServiceNotifEnabled" type="radio" class="checkbox" id="radServiceNotifEnabled2" value="2" <?php @check('service_notifications_enabled', '2'); ?>> <?php echo gettext("skip"); ?></label>
                    <label><input name="radServiceNotifEnabled" type="radio" class="checkbox" id="radServiceNotifEnabled3" value="3" <?php @check('service_notifications_enabled', '3'); ?>> <?php echo gettext("null"); ?></label>
                </div>
            </div>
            <div class="ccm-row">
                <label for="selServicePeriod"><?php echo gettext("Service Notifications Timeperiod"); ?></label>
                <select id="selServicePeriod" name="selServicePeriod">
                <?php
                // Insert Time Period options
                $selected = '';
                if (isset($FIELDS['service_notification_period']) && $FIELDS['service_notification_period'] == '0') { $selected = ' selected="selected"'; }
                echo '<option value="0"'.$selected.'>&nbsp;</option>';
                foreach ($FIELDS['selTimeperiods'] as $opt) {
                    $selected = '';
                    if(isset($FIELDS['service_notification_period']) && $FIELDS['service_notification_period'] == $opt['id']) { $selected = ' selected="selected"'; }
                    echo '<option value="'.$opt['id'].'">'.$opt['timeperiod_name'].'</option>';
                }
                ?>
                </select>
            </div>
            <div class="ccm-row spacer">
                <label for=""><?php echo gettext("Service Notification options"); ?></label>
                <div>
                    <label><input name="chbSOw" type="checkbox" class=" checkbox" id="chbSOw3" value="w" <?php @check('service_notification_options', 'w'); ?>> w</label>
                    <label><input name="chbSOu" type="checkbox" class=" checkbox" id="chbSOu3" value="u" <?php @check('service_notification_options', 'u'); ?>> u</label>
                    <label><input name="chbSOc" type="checkbox" class=" checkbox" id="chbSOc3" value="c" <?php @check('service_notification_options', 'c'); ?>> c</label>
                    <label><input name="chbSOf" type="checkbox" class=" checkbox" id="chbSOf3" value="f" <?php @check('service_notification_options', 'f'); ?>> f</label>
                    <label><input name="chbSOs" type="checkbox" class=" checkbox" id="chbSOs3" value="s" <?php @check('service_notification_options', 's'); ?>> s</label>
                    <label><input name="chbSOr" type="checkbox" class=" checkbox" id="chbSOr3" value="r" <?php @check('service_notification_options', 'r'); ?>> r</label>
                    <label><input name="chbSOn" type="checkbox" class=" checkbox" id="chbSOn3" value="n" <?php @check('service_notification_options', 'n'); ?>> n</label>
                </div>
            </div>
            <p style="margin-bottom: 20px;"><a class='linkBox' href="javascript:overlay('servicecommandBox')" title="Manage Service Commands"><?php echo gettext("Manage Service Notification Commands"); ?></a></p>
            <div class="ccm-row">
                <label><?php echo gettext("Can Submit Commands"); ?></label>
                <div>
                    <label><input type="radio" value="1" id="radCanSubCmds1" class="checkbox" name="radCanSubCmds" <?php @check('can_submit_commands', '1'); ?>> <?php echo gettext("On"); ?></label>
                    <label><input type="radio" value="0" id="radCanSubCmds0" class="checkbox" name="radCanSubCmds" <?php @check('can_submit_commands', '0'); ?>> <?php echo gettext("Off"); ?></label>
                    <label><input type="radio" value="2" id="radCanSubCmds2" class="checkbox" name="radCanSubCmds" <?php @check('can_submit_commands', '2'); ?>> <?php echo gettext("Skip"); ?></label>
                    <label><input type="radio" value="3" id="radCanSubCmds3" class="checkbox" name="radCanSubCmds" <?php @check('can_submit_commands', '3'); ?>> <?php echo gettext("Null"); ?></label>
                </div>
            </div>
        </div>
    </div>
    <!-- End of Tab 2 -->