<?php
//
//  Nagios Core Config Manager
//  Copyright (c) 2010-2014 Nagios Enterpries, LLC
//
//  File: escalation_dependency_template.php
//  Desc: Template of HTML for the layout of contact definition management.
//
?>
<div id="visibleDivs">
    <div id='tab1'>
        <div class="leftBox">
            <div class="ccm-row">
                <label for="tfConfigName"><?php echo gettext("Config Name"); ?> <span class="req">*</span></label>
                <input name="tfConfigName" type="text" id="tfConfigName" class='required tf_wide' value="<?php @val($FIELDS['config_name']) ?>" />
            </div>
            <?php
            // For escalations only
            if (strpos($this->exactType, 'escalation')) {
            ?>
            <div class="ccm-row">
                <label><?php echo gettext("First Notification"); ?> <span class="req">*</span></label>
                <input type='text' class='required' name='tfFirstNotif' id='tfFirstNotif' size='2' value="<?php @val($FIELDS['first_notification']); ?>">
            </div>
            <div class="ccm-row">
                <label for='tfLastNotif'><?php echo gettext("Last Notification"); ?> <span class="req">*</span></label>
                <input type='text' class='required' name='tfLastNotif' id='tfLastNotif' size='2' value="<?php @val($FIELDS['last_notification']); ?>">
            </div>
            <div class="ccm-row">
                <label for='tfNotifInterval'><?php echo gettext("Notification Interval"); ?> <span class="req">*</span></label>
                <input type='text' class='required' name='tfNotifInterval' id='tfNotifInterval' size='2' value="<?php @val($FIELDS['notification_interval']); ?>"> mn
            </div>
            <div class="ccm-row">
                <label><?php echo gettext("Escalation Options"); ?> <span class="req">*</span></label>
                <div>
                    <?php
                    // Host escalations
                    if ($this->exactType == 'hostescalation') {
                    ?>
                    <label><input type='checkbox' name='chbEOd' id='chbEOd' <?php @check('escalation_options', 'd'); ?>> d</label>
                    <label><input type='checkbox' name='chbEOu' id='chbEOu' <?php @check('escalation_options', 'u'); ?>> u</label>
                    <label><input type='checkbox' name='chbEOr' id='chbEOr' <?php @check('escalation_options', 'r'); ?>> r</label>
                    <?php
                    }

                    // Service escalations
                    if ($this->exactType =='serviceescalation') {
                    ?>
                    <label><input type='checkbox' name='chbEOw' id='chbEOw' <?php @check('escalation_options', 'w'); ?>> w</label>
                    <label><input type='checkbox' name='chbEOu' id='chbEOu' <?php @check('escalation_options', 'u'); ?>> u</label>
                    <label><input type='checkbox' name='chbEOc' id='chbEOc' <?php @check('escalation_options', 'c'); ?>> c</label>
                    <label><input type='checkbox' name='chbEOr' id='chbEOr' <?php @check('escalation_options', 'r'); ?>> r</label>
                    <?php
                    }
                    ?>
                </div>
            </div>
            <?php
            }

            // For dependencies only
            if (strpos($this->exactType, 'dependency')) {
                // If it's a new service/host dependency let's set it to be defaulted to checked
                if ($FIELDS['inherits_parent'] == "") { $FIELDS['inherits_parent'] = 1; }
            ?>
            <div class="ccm-row oneline">
                <label for='chbInherit'><?php echo gettext("Inherit Parents"); ?></label>
                <input class="checkbox" type="checkbox" value="1" name="chbInherit" id="chbInherit" <?php @check('inherits_parent', 1); ?>>
            </div>
            <div class="ccm-row">
                <label for=''><?php echo gettext("Execution failure criteria"); ?></label>
                <div>
                    <label><input id="chbEOo" class="checkbox" type="checkbox" value="o" name="chbEOo" <?php @check('execution_failure_criteria', 'o'); ?>> o</label>
                    <?php
                    // Host dependencies
                    if ($this->exactType == 'hostdependency') {
                    ?>
                    <label><input id='chbEOd' class='checkbox' type='checkbox' value='d' name='chbEOd' ".@check('execution_failure_criteria', 'd')."> d</label>
                    <?php
                    // Service dependencies
                    } else if ($this->exactType == 'servicedependency') {
                    ?>
                    <label><input id='chbEOw' class='checkbox' type='checkbox' value='w' name='chbEOw' <?php @check('execution_failure_criteria', 'w'); ?>> w</label>
                    <label><input id='chbEOc' class='checkbox' type='checkbox' value='c' name='chbEOc' <?php @check('execution_failure_criteria', 'c'); ?>> c</label>
                    <?php
                    }
                    ?>
                    <label><input id="chbEOu" class="checkbox" type="checkbox" value="u" name="chbEOu" <?php @check('execution_failure_criteria', 'u'); ?>> u</label>
                    <label><input id="chbEOp" class="checkbox" type="checkbox" value="p" name="chbEOp" <?php @check('execution_failure_criteria', 'p'); ?>> p</label>
                    <label><input id="chbEOn" class="checkbox" type="checkbox" value="n" name="chbEOn" <?php @check('execution_failure_criteria', 'n'); ?>> n</label>
                </div>
            </div>
            <div class="ccm-row">
                <label for=''><?php echo gettext("Notification failure criteria"); ?></label>
                <div>
                    <label><input id="chbNOo" class="checkbox" type="checkbox" value="o" name="chbNOo" <?php @check('notification_failure_criteria', 'o'); ?>> o</label>
                    <?php
                    // Host dependencies
                    if ($this->exactType == 'hostdependency') {
                    ?>
                    <label><input id='chbNOd' class='checkbox' type='checkbox' value='d' name='chbNOd' <?php @check('notification_failure_criteria', 'd'); ?>> d</label>
                    <?php
                    // Service dependencies
                    } else if ($this->exactType == 'servicedependency') {
                    ?>
                    <label><input id='chbNOw' class='checkbox' type='checkbox' value='w' name='chbNOw' <?php @check('notification_failure_criteria', 'w'); ?>> w</label>   
                    <label><input id='chbNOc' class='checkbox' type='checkbox' value='c' name='chbNOc' <?php @check('notification_failure_criteria', 'c'); ?>> c</label>
                    <?php
                    }    
                    ?>      
                    <label><input id="chbNOu" class="checkbox" type="checkbox" value="u" name="chbNOu" <?php @check('notification_failure_criteria', 'u'); ?>> u</label>     
                    <label><input id="chbNOp" class="checkbox" type="checkbox" value="p" name="chbNOp" <?php @check('notification_failure_criteria', 'p'); ?>> p</label>
                    <label><input id="chbNOn" class="checkbox" type="checkbox" value="n" name="chbNOn" <?php @check('notification_failure_criteria', 'n'); ?>> n</label>
                </div>
            </div>
            <?php
            }
            ?>
            <div class="ccm-row">
                <label for='selPeriod'><?php echo get_page_title($this->exactType); ?> <?php echo gettext("Period"); ?></label>
                <select name='selPeriod' id='selPeriod'>
                <?php
                // Insert Time Period options
                print '<option value="0">&nbsp;</option>';  
                foreach ($FIELDS['selTimeperiods'] as $opt) {
                    $selected = '';
                    if(isset($FIELDS['escalation_period']) && $FIELDS['escalation_period'] == $opt['id']) { $selected = ' selected="selected"'; }
                    if(isset($FIELDS['dependency_period']) && $FIELDS['dependency_period'] == $opt['id']) { $selected = ' selected="selected"'; }
                    echo '<option value="'.$opt['id'].'"'.$selected.'>'.$opt['timeperiod_name'].'</option>';
                }       
                ?>
                </select>
            </div>
            <?php
            // Check if the active button should be checked
            $active_checked = '';
            if ((isset($FIELDS['active']) && $FIELDS['active'] == '1') || !isset($FIELDS['active'])) {
                $active_checked = 'checked="checked"';
            }
            ?>
            <div class="ccm-row oneline">
                <label for="chbActive"><?php echo gettext("Active"); ?></label>
                <input name="chbActive" type="checkbox" class="checkbox" id="chbActive" value="1" <?php echo $active_checked; ?>>
                <i class="fa fa-info-circle tooltip-info" title="<?php echo gettext("Only active objects will be written to the config files and appear in Nagios. Inactive objects will only be shown in the CCM."); ?>"></i>
            </div>
        </div>
        <div class="rightBox">
            <p><a class="linkBox" href="javascript:overlay('hostBox')" title="Assign to Hosts"><?php echo gettext("Manage Hosts"); ?></a></p>
            <p><a class='linkBox' href="javascript:overlay('hostgroupBox')" title="Manage Hostgroups"><?php echo gettext("Manage Hostgroups"); ?></a></p>
            <?php
            if (strpos($this->exactType, 'escalation')) {
            ?>   
            <p><a class='linkBox' href="javascript:overlay('contactBox')" title='Manage Contacts'><?php echo gettext("Manage Contacts"); ?></a></p>
            <p><a class='linkBox' href="javascript:overlay('contactgroupBox')" title='Manage Hostgroups'><?php echo gettext("Manage Contactgroups"); ?></a></p>
            <?php
            }
            if ($this->exactType == 'serviceescalation' || $this->exactType == 'servicedependency') {
            ?>
            <p><a class='linkBox' href="javascript:overlay('serviceBox')" title='Manage Services'><?php echo gettext("Manage Services"); ?></a></p>
            <?php
            }
            if ($this->exactType == 'hostdependency' || $this->exactType == 'servicedependency') {
            ?>
            <p><a class='linkBox' href="javascript:overlay('hostdependencyBox')" title='Manage Dependent Hosts'><?php echo gettext("Manage Dependent Hosts"); ?></a></p>
            <p><a class='linkBox' href="javascript:overlay('hostgroupdependencyBox')" title='Manage Dependent Hostgroups'><?php echo gettext("Manage Dependent Hostgroups"); ?></a></p>
            <?php
            }
            if ($this->exactType == 'servicedependency') {
            ?>
            <p><a class='linkBox' href="javascript:overlay('servicedependencyBox')" title='Manage Dependent Services'><?php echo gettext("Manage Service Dependencies"); ?></a></p>
            <?php
            }
            ?>
        </div>
    </div>
</div>
<!-- End form -->