<?php
//
//  Nagios Core Config Manager
//  Copyright (c) 2010-2014 Nagios Enterpries, LLC
//
//  File: xi-index.php
//  Desc: Page that Nagios XI uses to integrate the CCM into the page. This creates a window with
//        the actual CCM index.php inside of it. This page has forceful Nagios XI authentication
//        (i.e. it will send you back to the main page) because it is a part of the Nagios XI GUI,
//        whereas the normal CCM index.php does not require XI authentication to view.
//

require_once(dirname(__FILE__).'/../componenthelper.inc.php');

// Initialization stuff
pre_init();
init_session();

// Grab GET or POST variables
grab_request_vars();

// Check authentication & prereqs...
check_prereqs();
check_authentication();

draw_page();

function draw_page() {
    global $lstr;
    
    if (is_authorized_to_configure_objects() == false) {
        header("Location: ".get_base_url());
    }
    
    $pageopt = grab_request_var("pageopt", "");
    do_page_start(array("page_title" => gettext("Nagios Core Config Manager")), false);
?>

<div id="leftnav">
    <?php print_menu(MENU_CCM); ?>
</div>

<div id="maincontent">
    <div id="maincontentspacer">
        <iframe src="index.php?menu=invisible" width="100%" frameborder="0" id="maincontentframe" name="maincontentframe">
        [Your user agent does not support frames or is currently configured not to display frames. ]
        </iframe>
        <div id="viewtools">
            <div id="popout">
                <a href="#"><img src="<?php echo get_base_url();?>/images/popout.png" border="0" alt="<?php echo $lstr['PopoutAlt']; ?>" title="<?php echo $lstr['PopoutAlt']; ?>"></a>
            </div>
        </div>
    </div>
</div>
<?php   
    do_page_end(false);
}